/**********************************
GENERAL
***********************************/
 /*body {
    color: rgba(0,0,0,.85); 
    margin: 0;
    font: 1.1em/1.9 "futura-pt", Helvetica, Arial, sans-serif; 
    letter-spacing: 0.04em;
    height: 100%;	
}  */

body { 
  color: #333; /*7C7C7C*/
  letter-spacing: 0.06em;
  background-color: white; /*#fcfbfa*/
}

body, 
.portfolio h2 span,
h2.proj, 
h1, h2, h3, h4, h5, h6, .portfolio h2 {
 font-family: "futura-pt", Helvetica, Arial, sans-serif;
}

p, ul.services {
  font-size: 1.3em;
  line-height: 1.5;
  font-weight: 300; 
}

h1 {
  font-weight: 600;
}
.homepage-intro-container h1 {
  letter-spacing:0;
  line-height: 1.3em;
  font-size: 2.1em;
}

@media (min-width: 768px) {
  .homepage-intro-container h1 {
    text-align: center;
  }
}

/**********************************
Fonts
***********************************/

.copyright {
  text-align: center;
  bottom: 0;
  color: white;
}

.copyright h3:first-child {
  margin-bottom: -15px;
}

.ext-link a {
  font-weight: bold;
  display: inline-block;
}

.ext-link a:hover span {
    display: inline-block;
    padding: 0 5px;
    transform: translate(3px,0);
}

.proj-tags {
  font-style: italic;
  list-style: none;
  padding: 0;
  font-size: 1.35em;
  padding-bottom: 20px;
}

.proj-tags li {
  display: inline-block;
}

.proj-tags li::after {
  content: ",";
}

.proj-tags li:nth-last-child(1)::after {
  content: none;
}

.portfolio h2 {
  font-size: 1.7em;
  text-align: center;
  letter-spacing: 0.025em;
}

.portfolio h2 a:hover {
  text-decoration: none;
}

.portfolio h2 span {
  font-size: 0.7em;
  font-weight: 400;
  margin-top: 5px;
}

h2 span {
  display: block;
  font-weight: italic;
}

ul.services,
ul.not-services {
  list-style: none;
  padding: 0;
}

ul.services li,
ul.not-services li {
  margin-bottom: 10px;
}

h2.proj {
  font-size: 2.5em;
  font-weight: bold;
}

.intro {
  font-size: 1.7em;
  font-weight: 300;
  margin-bottom: 25px;
}

.intro span {
  text-transform: uppercase;
  font-weight: bold;
  font-size: 0.8em;
  letter-spacing: 0.08em;
  color: #ddcfa9;
}

.credits {
  font-size:1em;
  text-transform: uppercase;
}

.credits span {
  display: inline-block;
}
.credits span::before {
  content: "by: " ;
  width: 100%;
}

.quote::before {
    content: '\201C';
}

.quote::after {
    content: '\201D';
}
/**********************************
Pseudo-classes 
***********************************/

a {
  cursor: pointer;
}

a:link, 
a:visited {
  color: #ddcfa9;
}

li.black-icon a:link {
  color: black;
}

a:hover, 
.portfolio a:link, 
.portfolio a:visited {
  color: #989898;
  text-decoration: none;
}

.portfolio a:hover {
  color: white;
}

a:active {
  color: #ccc;
} 


/**********************************
Transitions
***********************************/

a, 
.ext-link a span, 
.btn, 
.back-button a span, 
.portfolio a h2 
{
   transition: all 0.4s ease;
    -webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -o-transition:  all 0.4s ease;
}

/**********************************
Colours
***********************************/

.homepage-intro-container,
.client-bg {
  /*background-color: #faf6f3;*/
  border-top: 1px solid #f1f1f1;
}

.footer {
  background-color: #ddcfa9; /*#ede5d1*/
  border-top: 1px solid #eee; 
}

.copyright {
  background-color: #2C2C2E;
}

/**********************************
Homepage
***********************************/

.homepage-intro-container {
  width: 100%;
  padding: 30px 0 10px;
}

.homepage-intro-container h1 span { 
  font-style: italic;
}

.flex-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}

.flex-center {
  justify-content: center;
}

.flex-item-1 {
  order: 1;
}

.container .row, 
.col-sm-6, 
.col-sm-4
{
  padding-bottom: 15px;
}

@media (min-width: 768px) {
  .col-sm-12 {
    padding-bottom: 15px;
  }
  
  /*.container .row {
    padding-bottom: 0;
  }*/
}

.col-sm-6:last-child {
   padding-bottom: 15px;
}

.portfolio {
    margin-top: 0px;
}

.portfolio .col-sm-4, 
.portfolio .col-sm-6  {
  position: relative;
}

.portfolio a h2 {
    position: absolute;
    /*top: 0px;*/
    bottom: 0; 
    left: 0;
    right: 0;
    padding: 30px; /* Padding to text inside the hover only*/ 
    margin: 15px; /* Must equal padding value for .proj-wrap to eliminate extra hover effect beyond the wrap*/  
    visibility: hidden;
    opacity: 0;
    -moz-opacity: 0;
  
    background-color: rgba(0,0,0,.65)
}

.portfolio .col-sm-4:hover h2,
.portfolio .col-sm-6:hover h2{
    visibility: visible;
    opacity: 1;
}

/**********************************
Containers
***********************************/
.client-bg, 
.footer, 
.portfolio {
  padding-top: 40px;
  padding-bottom: 40px;
}

.moreprojects {
  padding-top: 20px;
}

.force-btm {
  min-height: calc(87vh - 20px);
}

.img-responsive {
  display: block;
  width: 100%;
  height: auto;
  opacity: 0;
  transition: opacity 1s;
}

img:not([src]):not([srcset]) {
  visibility: hidden;
}

img.loaded,
img.error {
    opacity: 1;
}

/**********************************
Nav Customization
***********************************/
.hide-nav {
  display: none; /*important so that nav is hidden*/
}

.navbar-default {
  background-color: white;
  border-color: white;
}

.navbar-default .navbar-toggle {
  border-color: white;
}


.navbar-default .navbar-nav > .active > a,
.navbar-default .navbar-nav > .active > a:hover,
.navbar-default .navbar-nav > .active > a:focus{
  background-color: #ddcfa9;
  color: black;
}
.navbar-brand {
  text-transform: uppercase;
  font-weight: bold;
  letter-spacing: 0.04em;
}

@media (min-width: 768px) {
    .navbar .navbar-nav {
        display: inline-block;
        float: none;
        vertical-align: top;
    }

    .navbar .navbar-collapse {
        text-align: center;
    }
}

/**********************************
Homepage Intro Nav Customization
***********************************/
.btn-lg {
  background-color: #333!important;
  border-radius: 0;
  padding: 12px 22px;
  color: white!important;
  border: 1px solid white;
} 

.btn-lg:hover {
  background-color: #ddcfa9!important;
  border: 1px solid white;
  color: black!important ;
} 
/*.header-btn a {
  color: #4A45E6;
}*/ 

.header-btn { 
  list-style: none;
  padding: 0; 
  padding-top: 30px;
}

.header-btn li{
  flex-grow: 1;
}

.header-btn li a{
  width: 100%;
  margin: 2.5px;
}

@media (min-width: 768px) {
  .header-btn li a{
  width: auto;
  }
  
  .header-btn li{
  flex-grow: 0;
  }
}
.center {
  text-align: center;
  padding: 0;
  padding-top: 30px;
}

.social-icons li {
  display: inline-block;
  padding: 0 12px;
}

.social-icons li:last-child {
  padding-right: 0;
}


/**********************************
Back Button
***********************************/
.back-button {
  margin: auto 0;
  clear: both;
  width: 100%;
/*  margin-top: 50px;*/
}
.back-button a {
  display: block; 
}

.back-button a {
    font-size: 1.9em;
    padding: 30px 0;
    margin:0 auto;
    text-align: center;
    width: 100%; 
    font-weight: bold;
    clear: both;
    background: #2C2C2E;
    color: #fff;
}

.back-button a:hover {
    background-color: #DAB852;
    color: #2C2C2E;
}

.back-button a span {
    display: inline-block;
    padding: 10px;
}

.back-button a:hover span {
    display: inline-block;
    padding: 10px;
    transform: translate(-20px,0);
}

/**********************************
Contact Form
***********************************/
.btn-send {
  text-transform: uppercase;
  letter-spacing: 0.1em;
  margin-bottom: 20px;
  width: 100%;
  padding: 20px;
  background-color: #7C7C7C;
  border: none;
}

.btn-send:hover {
  background-color: #DAB852!important;
}

.form-control {
  height: 45px;
  font-size: 16px;
  border: 1px solid #ccc;
  border-radius: 0px;
}

.form-control:focus {
  border-color: none;
  -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
          box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
}

/**********************************
Back to Projects
***********************************/

.square {
  float:left;
  position: relative;
  width: 100%;
  padding-bottom : 50%; /* = width for a 1:1 aspect ratio */
  background-position:center center;
  background-repeat:no-repeat;
  background-size:cover; /* you change this to "contain" if you don't want the images to be cropped */
}


.detail-other-trigger {
  display: block;
}

.detail-other-bg {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  margin: auto;
  background-size: cover;
  background-position: 50% 50%;
  background-repeat: no-repeat;
  -webkit-transition: all 0.75s;
  background-color: rgba(0,0,0,0.4);
  /* transition: all 0.75s; */
}

.detail-other-bg:hover {
  background-color: rgba(0,0,0,0.05);
}

.detail-other-text {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  width: 100%;
  padding: 0 20px;
  box-sizing: border-box;
  color: #fff;
  text-shadow: 0 0 5px rgba(0,0,0,0.5);
  text-align: center;
  font-weight: bold;
  font-size: 16px;
  line-height: 1;
}

.pointyourtoes {
  background-image: url("../img/pointyourtoes_intro_medium.jpg");
}

.canadiandogs {
  background-image: url("../img/canadian_dogs_intro_medium.jpg");
}
.unbound {
  background-image: url("../img/unboundproject_intro_small.jpg");
}

.onebigday {
  background-image: url("../img/onebigday_intro_small.jpg");
}

.emergent {
  background-image: url("../img/emergent_intro_small.jpg");
}

.ismart {
  background-image: url("../img/ismart_intro_small.jpg");
}

.globe {
  background-image: url("../img/globe_intro_medium.jpg");
}

.weanimals {
  background-image: url("../img/we_animals_intro_small.jpg");
}

.teagarden {
  background-image: url("../img/teagarden_satchels_intro_small.jpg");
}

.cannery {
  background-image: url("../img/cannery_intro_small.jpg");
}

.backdoor {
  height:45px;
  padding: 0 10px;
}

.rabbithole{
  height:90px;
  padding-right: 5px;
}

.rabbithole:hover li.downhere{
  opacity: 0;
  visibility: hidden;
}
.downhere a {
    color:#ddc9c9;
}
.downhere {
  background-color:none;
  width:auto;
  line-height: 20px;
  padding: 7px 10px;
  position: relative;
  border-radius: .12em;
  color: black;
  list-style: none;
  text-transform: none;
}

.downhere:after{
  content: '';
  position: absolute;
  left: 0;
  top: 50%;
  width: 0;
  height: 0;
  border: 43px solid transparent;
  border-right-color: white;
  border-left: 0;
  border-bottom: 0;
  margin-top: -40px;
  margin-left: -43px;
}







.bts-popup {
  position: fixed;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  opacity: 0;
  visibility: hidden;
  -webkit-transition: opacity 0.3s 0s, visibility 0s 0.3s;
  -moz-transition: opacity 0.3s 0s, visibility 0s 0.3s;
  transition: opacity 0.3s 0s, visibility 0s 0.3s;
  z-index: 100;
}
.bts-popup.is-visible {
  opacity: 1;
  visibility: visible;
  -webkit-transition: opacity 0.3s 0s, visibility 0s 0s;
  -moz-transition: opacity 0.3s 0s, visibility 0s 0s;
  transition: opacity 0.3s 0s, visibility 0s 0s;
}

.bts-popup-container {
  position: relative;
  width: 90%;
  max-width: 400px;
  padding: 20px 0;
  margin: 4em auto;
  background: white;
  border-radius: none; 
  text-align: center;
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.2);
  -webkit-transform: translateY(-40px);
  -moz-transform: translateY(-40px);
  -ms-transform: translateY(-40px);
  -o-transform: translateY(-40px);
  transform: translateY(-40px);
  /* Force Hardware Acceleration in WebKit */
  -webkit-backface-visibility: hidden;
  -webkit-transition-property: -webkit-transform;
  -moz-transition-property: -moz-transform;
  transition-property: transform;
  -webkit-transition-duration: 0.3s;
  -moz-transition-duration: 0.3s;
  transition-duration: 0.3s;
}
.bts-popup-container img {
  padding: 0;
  list-style: none;
}
.bts-popup-container p {
  color: black;
  font-size: 1.5em;
  padding: 10px 40px;
}
.bts-popup-container .bts-popup-button {
  padding: 5px 25px;
  border: 2px solid white;
	display: inline-block;
  margin-bottom: 10px;
}

.bts-popup-container a {
  color: white;
  text-decoration: none;
  text-transform: uppercase;
}

.bts-popup-container .bts-popup-close {
  position: absolute;
  top: 8px;
  right: 8px;
  width: 30px;
  height: 30px;
}
.bts-popup-container .bts-popup-close::before, .bts-popup-container .bts-popup-close::after {
  content: '';
  position: absolute;
  top: 12px;
  width: 16px;
  height: 3px;
  background-color: pink;
}
.bts-popup-container .bts-popup-close::before {
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
  left: 8px;
}
.bts-popup-container .bts-popup-close::after {
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  transform: rotate(-45deg);
  right: 6px;
  top: 13px;
}
.is-visible .bts-popup-container {
  -webkit-transform: translateY(0);
  -moz-transform: translateY(0);
  -ms-transform: translateY(0);
  -o-transform: translateY(0);
  transform: translateY(0);
}
@media only screen and (min-width: 1170px) {
  .bts-popup-container {
    margin: 8em auto;
  }
}